OracleVM 3.2 : curl (OVMSA-2016-0056)

Medium Nessus Plugin ID 91740


The remote OracleVM host is missing a security update.


The remote OracleVM system is missing necessary patches to address critical security updates :

- fix heap-based buffer overflow in curl_easy_unescape (CVE-2013-2174)

- fix cookie tailmatching to prevent cross-domain leakage (CVE-2013-1944)

- introduce the --delegation option of curl (#746849)

- fix stack smashing in the FTP implementation (#652557)

- fix proxy kerberos authentication (#657396)

- update running_handles counter properly in curl_multi_remove_handle (#688871)

- add a new option CURLOPT_GSSAPI_DELEGATION (#723643)

- do not delegate GSSAPI credentials (CVE-2011-2192)

- avoid use of uninitialized variable on failure of a LDAP request (#655073)

- proxy tunnel support for LDAP requests (#655073)


Update the affected curl package.

See Also

Plugin Details

Severity: Medium

ID: 91740

File Name: oraclevm_OVMSA-2016-0056.nasl

Version: $Revision: 2.2 $

Type: local

Published: 2016/06/22

Modified: 2017/02/14

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:curl, cpe:/o:oracle:vm_server:3.2

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2016/06/21

Reference Information

CVE: CVE-2011-2192, CVE-2013-1944, CVE-2013-2174

BID: 48434, 59058, 60737

OSVDB: 92316, 94519